import "./App.css";
import {Routes, Route } from 'react-router-dom';
import Header from "./Header.js";
import Main from "./Main.js";
import Search from "./Search.js";
import GoogleLoginButton from "./GoogleLoginButton.js";

function App() {
  return(
    <div className="App">
      <Header/>
      <Routes>
        <Route path="/" element={<Main/>}></Route>
        <Route path="/search" element={<Search/>}></Route>
    {/* <Route path="/postwrite" element={<PostWrite/>}></Route> */}
      </Routes>
      <GoogleLoginButton/>
      {/* <Footer/> */}
    </div>
    );
}

export default App;