import {Link} from "react-router-dom";
import logo from './logo.png';
import './Header.css';

function Header(){
    return(
        <div className="header">
            <Link to='/'><img className="logo_image" alt="logo" src={logo}/></Link>
            <ul className="menu_list">
                <li><Link to="/">Home</Link></li>
                <li><Link to="/search">검색</Link></li>
                <li><Link to="/postwrite">포스트 작성</Link></li>
                <li><Link to="/login">로그인</Link></li> {/*로그인 여부 로직 구현 필요*/}
                {/* { Object.keys(user).length != 0 ? 
                    <li><Link to={`/profile/${getUserId()}`}>profile</Link>/<span onClick={logout}>logout</span></li> :
                    <li><Link to="/login">login</Link></li>
                }   */}
            </ul>
        </div>
    );
}

export default Header;
